Skip to main content
GET
/
openclaw
/
callback
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/openclaw/callback \
  --header 'Authorization: Bearer <token>'
{
  "enabled": true,
  "state": "<string>",
  "agent": {
    "id": "<string>",
    "email": "jsmith@example.com",
    "name": "<string>",
    "handle": "<string>",
    "avatarUrl": "<string>",
    "metadata": {}
  },
  "tokens": {
    "accessToken": "<string>",
    "refreshToken": "<string>",
    "expiresAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Query Parameters

code
string

OAuth authorization code returned by the provider

Minimum string length: 1
state
string

State parameter for CSRF verification

Minimum string length: 1
error
string

Error code if the authorization was denied or failed

Minimum string length: 1

Response

200 - application/json

OK

Result of processing the OpenClaw OAuth callback

enabled
boolean
required

Whether OpenClaw integration is enabled

state
string | null
required

State parameter echoed back for verification

agent
object | null
required

Agent profile if authorization succeeded

tokens
object | null
required

OAuth tokens if authorization succeeded